Skip to content

Get entity location that belongs to the entity by ID

GET
/v3/entities/{entityId}/locations/{entityLocationId}
curl --request GET \
--url 'https://api.hopper.west.prod.govcloud.legion.picogrid.com/v3/entities/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/locations/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0?crs=EPSG%3A4978'

Retrieves a specific entity location that belongs to an entity by their ID.

entityId
required
string format: uuid
entityLocationId
required
string format: uuid
crs
string
default: EPSG:4978
Allowed values: EPSG:4978 EPSG:4326 EPSG:4979
Example
EPSG:4978

Successful response

Media typeapplication/json
object
acceleration
Array<number>
angular_velocity
Array<number>
bearing
number
<= 360
covariance
Array<Array<number>>
created_at
required
string
crs
string
default: EPSG:4978
Allowed values: EPSG:4978 EPSG:4326 EPSG:4979
entity
object
affiliation
required
string
Allowed values: PENDING UNKNOWN ASSUMED_FRIEND FRIEND NEUTRAL SUSPECT HOSTILE EXERCISE_PENDING EXERCISE_UNKNOWN EXERCISE_FRIEND EXERCISE_NEUTRAL EXERCISE_ASSUMED_FRIEND JOKER FAKER NONE_SPECIFIED
category
required
string
Allowed values: DEVICE DETECTION ALERT WEATHER GEOMETRIC ZONE SENSOR VEHICLE UXV TRACK
created_at
required
string
deleted_at
string
expires_at
string
id
required
string format: uuid
is_active
boolean
metadata
object
name
required
string
organization_id
required
string format: uuid
parent_id
required
string | null format: uuid
status
required
string
type
required
string
updated_at
required
string
entity_id
required
string format: uuid
id
required
string format: uuid
orientation
Array<number>
>= 4 items <= 4 items
position
required
object
coordinates
required
Array<number>
type
required
string
/^(Point|LineString|Polygon)$/
radius
number
recorded_at
string
source
required
string
speed
number
velocity
Array<number>
Example
{
"acceleration": [
0,
0.01,
-0.02
],
"angular_velocity": [
0,
0.01,
-0.02
],
"bearing": 45,
"covariance": [
[
25,
0,
0
],
[
0,
25,
0
],
[
0,
0,
9
]
],
"created_at": "2024-01-15T11:00:00Z",
"crs": "EPSG:4978",
"entity": {
"affiliation": "FRIEND",
"category": "DEVICE",
"created_at": "2023-12-15T14:30:00Z",
"id": "123e4567-e89b-12d3-a456-426614174000",
"metadata": {
"manufacturer": "General Atomics",
"model": "MQ-9"
},
"name": "MQ-9 Reaper",
"organization_id": "550e8400-e29b-41d4-a716-446655440000",
"parent_id": "456e8400-e29b-41d4-a716-446655440000",
"status": "ACTIVE",
"type": "DRONE",
"updated_at": "2023-12-15T14:30:00Z"
},
"entity_id": "c3d4e5f6-a1b2-7890-1234-567890abcdef",
"id": "10c98fcd-e351-4a2d-7af1-29876543210a",
"orientation": [
0.707,
0,
0,
0.707
],
"position": {
"coordinates": [
4517590.87,
0,
4487348.41
],
"type": "Point"
},
"radius": 500,
"recorded_at": "2024-01-15T11:00:00Z",
"source": "Helios",
"speed": 2.236,
"velocity": [
42.5,
-3.1,
0
]
}

Bad Request

Media typeapplication/json
object
category
required
string
code
required
number
details
Array<object>
object
field
required
string
issue
required
string
message
required
string
status
required
string
timestamp
required
string
trace_id
required
string
Example
{
"code": 400,
"details": [
{
"Field": "organization_id",
"Issue": "must be a valid UUID format"
}
],
"message": "Request cannot be processed due to invalid input",
"status": "error",
"timestamp": "2026-01-15T14:32:45Z",
"trace_id": "req_2J9K8L7M6N5P4Q3R"
}

Unauthorized

Media typeapplication/json
object
category
required
string
code
required
number
details
Array<object>
object
field
required
string
issue
required
string
message
required
string
status
required
string
timestamp
required
string
trace_id
required
string
Example
{
"code": 401,
"details": [
{
"Field": "authorization_header",
"Issue": "Bearer token is expired or malformed"
}
],
"message": "Authentication credentials are missing or invalid",
"status": "error",
"timestamp": "2026-01-15T14:32:45Z",
"trace_id": "req_2J9K8L7M6N5P4Q3R"
}

Forbidden

Media typeapplication/json
object
category
required
string
code
required
number
details
Array<object>
object
field
required
string
issue
required
string
message
required
string
status
required
string
timestamp
required
string
trace_id
required
string
Example
{
"code": 403,
"details": [
{
"Field": "required_scope",
"Issue": "requires 'orion:settings:write' scope, but token only has 'orion:settings:read'"
}
],
"message": "Access denied: insufficient permissions for this resource",
"status": "error",
"timestamp": "2026-01-15T14:32:45Z",
"trace_id": "req_2J9K8L7M6N5P4Q3R"
}

Not Found

Media typeapplication/json
object
category
required
string
code
required
number
details
Array<object>
object
field
required
string
issue
required
string
message
required
string
status
required
string
timestamp
required
string
trace_id
required
string
Example
{
"code": 404,
"details": [
{
"Field": "organization_id",
"Issue": "organization with ID 'a1b2c3d4-e5f6-7890-abcd-ef1234567890' not found"
}
],
"message": "The requested resource could not be found",
"status": "error",
"timestamp": "2026-01-15T14:32:45Z",
"trace_id": "req_2J9K8L7M6N5P4Q3R"
}

Internal Server Error

Media typeapplication/json
object
category
required

The category of the error

string
code
required

The HTTP status code

number
details

Additional details about the error

Array<object>
object
field

The field that caused the error

string
issue

The specific issue with the field

string
message
required

A human-readable error message

string
status
required

The status of the response, always ‘error’ for error responses

string
timestamp
required

The timestamp when the error occurred

string format: date-time
trace_id
required

A unique identifier for tracing the error

string format: uuid
Example
{
"category": "server_error",
"code": 500,
"details": [
{
"field": "field_name",
"issue": "Field validation issue"
}
],
"message": "Internal Server Error",
"status": "error",
"timestamp": "2024-03-15T10:30:00Z",
"trace_id": "b7c5e4d3-a2b1-4f0e-8d9c-1a2b3c4d5e6f"
}

Version 3.14.0 · commit 0771262